<?php

namespace PushAlert\PushNotifications\Model;

class AddToCart implements \PushAlert\PushNotifications\Api\Data\AddToCartInterface
{
    /** @var \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig */
    private $scopeConfig;

    /** @var array $data */
    private $data;

    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        $this->scopeConfig = $scopeConfig;
        $this->data = [];
    }

    /**
     * @inheritdoc
     */
    public function getData()
    {
        return $this->data;
    }
}
